gtkmm: Gtk::Settings Class Reference

gtkmm 3.17.90

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::Settings Class Reference

Sharing settings between applications. More...

`#include <gtkmm/settings.h>`

Inheritance diagram for Gtk::Settings:
[legend]

## Public Member Functions
| Settings (Settings&& src) noexcept
Settings& | operator= (Settings&& src) noexcept
virtual | ~Settings () noexcept
GtkSettings* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSettings* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy< int > | property_gtk_double_click_time ()
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds). More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_time () const
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds). More...
Glib::PropertyProxy< int > | property_gtk_double_click_distance ()
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels). More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_distance () const
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels). More...
Glib::PropertyProxy< bool > | property_gtk_cursor_blink ()
| Whether the cursor should blink. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_cursor_blink () const
| Whether the cursor should blink. More...
Glib::PropertyProxy< int > | property_gtk_cursor_blink_time ()
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_time () const
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy< int > | property_gtk_cursor_blink_timeout ()
| Time after which the cursor stops blinking, in seconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_timeout () const
| Time after which the cursor stops blinking, in seconds. More...
Glib::PropertyProxy< bool > | property_gtk_split_cursor ()
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_split_cursor () const
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_theme_name ()
| Name of theme to load. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_theme_name () const
| Name of theme to load. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_key_theme_name ()
| Name of key theme to load. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_key_theme_name () const
| Name of key theme to load. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_menu_bar_accel ()
| Keybinding to activate the menu bar. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_menu_bar_accel () const
| Keybinding to activate the menu bar. More...
Glib::PropertyProxy< int > | property_gtk_dnd_drag_threshold ()
| Number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_dnd_drag_threshold () const
| Number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_font_name ()
| Name of default font to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_font_name () const
| Name of default font to use. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_modules ()
| List of currently active GTK modules. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_modules () const
| List of currently active GTK modules. More...
Glib::PropertyProxy< int > | property_gtk_xft_antialias ()
| Whether to antialias Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_antialias () const
| Whether to antialias Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy< int > | property_gtk_xft_hinting ()
| Whether to hint Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_hinting () const
| Whether to hint Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_hintstyle ()
| What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_hintstyle () const
| What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_rgba ()
| Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_rgba () const
| Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr. More...
Glib::PropertyProxy< int > | property_gtk_xft_dpi ()
| Resolution for Xft, in 1024 * dots/inch. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_dpi () const
| Resolution for Xft, in 1024 * dots/inch. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_cursor_theme_name ()
| Name of the cursor theme to use, or NULL to use the default theme. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_cursor_theme_name () const
| Name of the cursor theme to use, or NULL to use the default theme. More...
Glib::PropertyProxy< int > | property_gtk_cursor_theme_size ()
| Size to use for cursors, or 0 to use the default size. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_theme_size () const
| Size to use for cursors, or 0 to use the default size. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_button_order ()
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_button_order () const
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_sort_arrows ()
| Controls the direction of the sort indicators in sorted list and tree views. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_sort_arrows () const
| Controls the direction of the sort indicators in sorted list and tree views. More...
Glib::PropertyProxy< bool > | property_gtk_show_input_method_menu ()
| Whether the context menus of entries and text views should offer to change the input method. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_show_input_method_menu () const
| Whether the context menus of entries and text views should offer to change the input method. More...
Glib::PropertyProxy< bool > | property_gtk_show_unicode_menu ()
| Whether the context menus of entries and text views should offer to insert control characters. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_show_unicode_menu () const
| Whether the context menus of entries and text views should offer to insert control characters. More...
Glib::PropertyProxy< int > | property_gtk_timeout_initial ()
| Starting value for timeouts, when button is pressed. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_initial () const
| Starting value for timeouts, when button is pressed. More...
Glib::PropertyProxy< int > | property_gtk_timeout_repeat ()
| Repeat value for timeouts, when button is pressed. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_repeat () const
| Repeat value for timeouts, when button is pressed. More...
Glib::PropertyProxy< int > | property_gtk_timeout_expand ()
| Expand value for timeouts, when a widget is expanding a new region. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_expand () const
| Expand value for timeouts, when a widget is expanding a new region. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_color_scheme ()
| A palette of named colors for use in themes. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_color_scheme () const
| A palette of named colors for use in themes. More...
Glib::PropertyProxy< bool > | property_gtk_enable_animations ()
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_animations () const
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy< bool > | property_gtk_touchscreen_mode ()
| When `true`, there are no motion notify events delivered on this screen, and widgets can't use the pointer hovering them for any essential functionality. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_touchscreen_mode () const
| When `true`, there are no motion notify events delivered on this screen, and widgets can't use the pointer hovering them for any essential functionality. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_timeout ()
| Time, in milliseconds, after which a tooltip could appear if the cursor is hovering on top of a widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_timeout () const
| Time, in milliseconds, after which a tooltip could appear if the cursor is hovering on top of a widget. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_timeout ()
| Controls the time after which tooltips will appear when browse mode is enabled, in milliseconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_timeout () const
| Controls the time after which tooltips will appear when browse mode is enabled, in milliseconds. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_mode_timeout ()
| Amount of time, in milliseconds, after which the browse mode will be disabled. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_mode_timeout () const
| Amount of time, in milliseconds, after which the browse mode will be disabled. More...
Glib::PropertyProxy< bool > | property_gtk_keynav_cursor_only ()
| When `true`, keyboard navigation should be able to reach all widgets by using the cursor keys only. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_keynav_cursor_only () const
| When `true`, keyboard navigation should be able to reach all widgets by using the cursor keys only. More...
Glib::PropertyProxy< bool > | property_gtk_keynav_wrap_around ()
| When `true`, some widgets will wrap around when doing keyboard navigation, such as menus, menubars and notebooks. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_keynav_wrap_around () const
| When `true`, some widgets will wrap around when doing keyboard navigation, such as menus, menubars and notebooks. More...
Glib::PropertyProxy< bool > | property_gtk_error_bell ()
| When `true`, keyboard navigation and other input-related errors will cause a beep. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_error_bell () const
| When `true`, keyboard navigation and other input-related errors will cause a beep. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_color_hash () const
| Holds a hash table representation of the Gtk::Settings::property_gtk_color_scheme() setting, mapping color names to Gdk::Colors. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_file_chooser_backend ()
| Name of the GtkFileChooser backend to use by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_file_chooser_backend () const
| Name of the GtkFileChooser backend to use by default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_backends ()
| A comma-separated list of print backends to use in the print dialog. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_backends () const
| A comma-separated list of print backends to use in the print dialog. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_preview_command ()
| A command to run for displaying the print preview. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_preview_command () const
| A command to run for displaying the print preview. More...
Glib::PropertyProxy< bool > | property_gtk_enable_mnemonics ()
| Whether labels and menu items should have visible mnemonics which can be activated. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_mnemonics () const
| Whether labels and menu items should have visible mnemonics which can be activated. More...
Glib::PropertyProxy< bool > | property_gtk_enable_accels ()
| Whether menu items should have visible accelerators which can be activated. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_accels () const
| Whether menu items should have visible accelerators which can be activated. More...
Glib::PropertyProxy< int > | property_gtk_recent_files_limit ()
| The number of recently used files that should be displayed by default by Gtk::RecentChooser implementations and by the Gtk::FileChooser. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_limit () const
| The number of recently used files that should be displayed by default by Gtk::RecentChooser implementations and by the Gtk::FileChooser. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_im_module ()
| Which IM (input method) module should be used by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_im_module () const
| Which IM (input method) module should be used by default. More...
Glib::PropertyProxy< int > | property_gtk_recent_files_max_age ()
| The maximum age, in days, of the items inside the recently used resources list. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_max_age () const
| The maximum age, in days, of the items inside the recently used resources list. More...
Glib::PropertyProxy< int > | property_gtk_fontconfig_timestamp ()
| Timestamp of current fontconfig configuration. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_fontconfig_timestamp () const
| Timestamp of current fontconfig configuration. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_sound_theme_name ()
| The XDG sound theme to use for event sounds. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_sound_theme_name () const
| The XDG sound theme to use for event sounds. More...
Glib::PropertyProxy< bool > | property_gtk_enable_input_feedback_sounds ()
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_input_feedback_sounds () const
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy< bool > | property_gtk_enable_event_sounds ()
| Whether to play any event sounds at all. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_event_sounds () const
| Whether to play any event sounds at all. More...
Glib::PropertyProxy< bool > | property_gtk_enable_tooltips ()
| Whether tooltips should be shown on widgets. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_tooltips () const
| Whether tooltips should be shown on widgets. More...
Glib::PropertyProxy< bool > | property_gtk_application_prefer_dark_theme ()
| Whether the application prefers to use a dark theme. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_application_prefer_dark_theme () const
| Whether the application prefers to use a dark theme. More...
Glib::PropertyProxy< bool > | property_gtk_auto_mnemonics ()
| Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_auto_mnemonics () const
| Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator. More...
Glib::PropertyProxy< Gtk::PolicyType > | property_gtk_visible_focus ()
| Whether 'focus rectangles' should be always visible, never visible, or hidden until the user starts to use the keyboard. More...
Glib::PropertyProxy_ReadOnly< Gtk::PolicyType > | property_gtk_visible_focus () const
| Whether 'focus rectangles' should be always visible, never visible, or hidden until the user starts to use the keyboard. More...
Glib::PropertyProxy< IMPreeditStyle > | property_gtk_im_preedit_style ()
| How to draw the input method preedit string. More...
Glib::PropertyProxy_ReadOnly< IMPreeditStyle > | property_gtk_im_preedit_style () const
| How to draw the input method preedit string. More...
Glib::PropertyProxy< IMStatusStyle > | property_gtk_im_status_style ()
| How to draw the input method statusbar. More...
Glib::PropertyProxy_ReadOnly< IMStatusStyle > | property_gtk_im_status_style () const
| How to draw the input method statusbar. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_app_menu ()
| Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_app_menu () const
| Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_menubar ()
| Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_menubar () const
| Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_desktop ()
| Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_desktop () const
| Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not. More...
Glib::PropertyProxy< bool > | property_gtk_enable_primary_paste ()
| Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_primary_paste () const
| Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location. More...
Glib::PropertyProxy< int > | property_gtk_menu_popup_delay ()
| Minimum time the pointer must stay over a menu item before the submenu appear. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_menu_popup_delay () const
| Minimum time the pointer must stay over a menu item before the submenu appear. More...
Glib::PropertyProxy< int > | property_gtk_menu_popdown_delay ()
| The time before hiding a submenu when the pointer is moving towards the submenu. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_menu_popdown_delay () const
| The time before hiding a submenu when the pointer is moving towards the submenu. More...
Glib::PropertyProxy< bool > | property_gtk_label_select_on_focus ()
| Whether to select the contents of a selectable label when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_label_select_on_focus () const
| Whether to select the contents of a selectable label when it is focused. More...
Glib::PropertyProxy< guint > | property_gtk_entry_password_hint_timeout ()
| How long to show the last input character in hidden entries. More...
Glib::PropertyProxy_ReadOnly< guint > | property_gtk_entry_password_hint_timeout () const
| How long to show the last input character in hidden entries. More...
Glib::PropertyProxy< bool > | property_gtk_menu_images ()
| Whether images should be shown in menu items. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_menu_images () const
| Whether images should be shown in menu items. More...
Glib::PropertyProxy< int > | property_gtk_menu_bar_popup_delay ()
| Delay before the submenus of a menu bar appear. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_menu_bar_popup_delay () const
| Delay before the submenus of a menu bar appear. More...
Glib::PropertyProxy< GtkCornerType > | property_gtk_scrolled_window_placement ()
| Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement. More...
Glib::PropertyProxy_ReadOnly< GtkCornerType > | property_gtk_scrolled_window_placement () const
| Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement. More...
Glib::PropertyProxy< ToolbarStyle > | property_gtk_toolbar_style ()
| The size of icons in default toolbars. More...
Glib::PropertyProxy_ReadOnly< ToolbarStyle > | property_gtk_toolbar_style () const
| The size of icons in default toolbars. More...
Glib::PropertyProxy< IconSize > | property_gtk_toolbar_icon_size ()
| The size of icons in default toolbars. More...
Glib::PropertyProxy_ReadOnly< IconSize > | property_gtk_toolbar_icon_size () const
| The size of icons in default toolbars. More...
Glib::PropertyProxy< bool > | property_gtk_can_change_accels ()
| Whether menu accelerators can be changed by pressing a key over the menu item. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_can_change_accels () const
| Whether menu accelerators can be changed by pressing a key over the menu item. More...
Glib::PropertyProxy< bool > | property_gtk_entry_select_on_focus ()
| Whether to select the contents of an entry when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_entry_select_on_focus () const
| Whether to select the contents of an entry when it is focused. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_color_palette ()
| Palette to use in the deprecated color selector. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_color_palette () const
| Palette to use in the deprecated color selector. More...
Glib::PropertyProxy< bool > | property_gtk_button_images ()
| Whether images should be shown on buttons. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_button_images () const
| Whether images should be shown on buttons. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_icon_theme_name ()
| Name of icon theme to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_theme_name () const
| Name of icon theme to use. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_fallback_icon_theme ()
| Name of a icon theme to fall back to. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_fallback_icon_theme () const
| Name of a icon theme to fall back to. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_icon_sizes ()
| A list of icon sizes. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_sizes () const
| A list of icon sizes. More...
Glib::PropertyProxy< bool > | property_gtk_recent_files_enabled ()
| Whether GTK+ should keep track of items inside the recently used resources list. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_recent_files_enabled () const
| Whether GTK+ should keep track of items inside the recently used resources list. More...
Glib::PropertyProxy< bool > | property_gtk_primary_button_warps_slider ()
| Whether a click in a Gtk::Range trough should scroll to the click position or scroll by a single page in the respective direction. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_primary_button_warps_slider () const
| Whether a click in a Gtk::Range trough should scroll to the click position or scroll by a single page in the respective direction. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_decoration_layout ()
| This setting determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_decoration_layout () const
| This setting determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right. More...
Glib::PropertyProxy< bool > | property_gtk_dialogs_use_header ()
| Whether builtin GTK+ dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_dialogs_use_header () const
| Whether builtin GTK+ dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom. More...
Glib::PropertyProxy< guint > | property_gtk_long_press_time ()
| The time for a button or touch press to be considered a "long press". More...
Glib::PropertyProxy_ReadOnly< guint > | property_gtk_long_press_time () const
| The time for a button or touch press to be considered a "long press". More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Settings > | get_default ()
| Gets the Gtk::Settings object for the default GDK screen, creating it if necessary. More...
static Glib::RefPtr< Settings > | get_for_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Gets the Gtk::Settings object for screen, creating it if necessary. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Settings > | wrap (GtkSettings* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Sharing settings between applications.

## Constructor & Destructor Documentation

Gtk::Settings::Settings | ( | Settings&& | src | ) |
| noexcept

virtual Gtk::Settings::~Settings | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

static Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) |
| static

Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.

See get_for_screen().

Returns
  A Gtk::Settings object. If there is no default screen, then returns `0`.

static Glib::RefPtr<Settings> Gtk::Settings::get_for_screen | ( | const Glib::RefPtr< Gdk::Screen >& | screen | ) |
| static

Gets the Gtk::Settings object for screen, creating it if necessary.

Since gtkmm 2.2:

Parameters

  screen | A Gdk::Screen.

Returns
  A Gtk::Settings object.

static GType Gtk::Settings::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSettings* Gtk::Settings::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Settings& Gtk::Settings::operator= | ( | Settings&& | src | ) |
| noexcept

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::Settings::property_color_hash | ( |  | ) | const

Holds a hash table representation of the Gtk::Settings::property_gtk_color_scheme() setting, mapping color names to Gdk::Colors.

Since gtkmm 2.10:

Deprecated: 3.8: Will always return an empty hash table.

Deprecated:
  Will always return an empty hash table.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) |

Whether buttons in dialogs should use the alternative button order.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) | const

Whether buttons in dialogs should use the alternative button order.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) |

Controls the direction of the sort indicators in sorted list and tree views.

By default an arrow pointing down means the column is sorted in ascending order. When set to `true`, this order will be inverted.

Since gtkmm 2.12:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) | const

Controls the direction of the sort indicators in sorted list and tree views.

By default an arrow pointing down means the column is sorted in ascending order. When set to `true`, this order will be inverted.

Since gtkmm 2.12:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_application_prefer_dark_theme | ( |  | ) |

Whether the application prefers to use a dark theme.

If a GTK+ theme includes a dark variant, it will be used instead of the configured theme.

Some applications benefit from minimizing the amount of light pollution that interferes with the content. Good candidates for dark themes are photo and video editors that make the actual content get all the attention and minimize the distraction of the chrome.

Dark themes should not be used for documents, where large spaces are white/light and the dark chrome creates too much contrast (web browser, text editor...).

Since gtkmm 3.0:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_application_prefer_dark_theme | ( |  | ) | const

Whether the application prefers to use a dark theme.

If a GTK+ theme includes a dark variant, it will be used instead of the configured theme.

Some applications benefit from minimizing the amount of light pollution that interferes with the content. Good candidates for dark themes are photo and video editors that make the actual content get all the attention and minimize the distraction of the chrome.

Dark themes should not be used for documents, where large spaces are white/light and the dark chrome creates too much contrast (web browser, text editor...).

Since gtkmm 3.0:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_auto_mnemonics | ( |  | ) |

Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator.

Since gtkmm 2.20:

Deprecated: 3.10: This setting is ignored

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_auto_mnemonics | ( |  | ) | const

Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator.

Since gtkmm 2.20:

Deprecated: 3.10: This setting is ignored

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_button_images | ( |  | ) |

Whether images should be shown on buttons.

Since gtkmm 2.4:

Deprecated: 3.10: This setting is deprecated. Application developers control whether a button should show an icon or not, on a per-button basis. If a Gtk::Button should show an icon, use the Gtk::Button::property_always_show_image() property of Gtk::Button, and pack a Gtk::Image inside the Gtk::Button

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_button_images | ( |  | ) | const

Whether images should be shown on buttons.

Since gtkmm 2.4:

Deprecated: 3.10: This setting is deprecated. Application developers control whether a button should show an icon or not, on a per-button basis. If a Gtk::Button should show an icon, use the Gtk::Button::property_always_show_image() property of Gtk::Button, and pack a Gtk::Image inside the Gtk::Button

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_can_change_accels | ( |  | ) |

Whether menu accelerators can be changed by pressing a key over the menu item.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_can_change_accels | ( |  | ) | const

Whether menu accelerators can be changed by pressing a key over the menu item.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_color_palette | ( |  | ) |

Palette to use in the deprecated color selector.

Deprecated: 3.10: Only used by the deprecated color selector widget.

Deprecated:
  Only used by the deprecated color selector widget.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_color_palette | ( |  | ) | const

Palette to use in the deprecated color selector.

Deprecated: 3.10: Only used by the deprecated color selector widget.

Deprecated:
  Only used by the deprecated color selector widget.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_color_scheme | ( |  | ) |

A palette of named colors for use in themes.

The format of the string is

[C example ellipted] Color names must be acceptable as identifiers in the [gtkrc][gtk3-Resource-Files] syntax, and color specifications must be in the format accepted by gdk_color_parse().

Note that due to the way the color tables from different sources are merged, color specifications will be converted to hexadecimal form when getting this property.

Starting with GTK+ 2.12, the entries can alternatively be separated by ';' instead of newlines:

[C example ellipted]

Since gtkmm 2.10:

Deprecated: 3.8: Color scheme support was dropped and is no longer supported. You can still set this property, but it will be ignored.

Deprecated:
  Color scheme support was dropped. This setting is now ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_color_scheme | ( |  | ) | const

A palette of named colors for use in themes.

The format of the string is

[C example ellipted] Color names must be acceptable as identifiers in the [gtkrc][gtk3-Resource-Files] syntax, and color specifications must be in the format accepted by gdk_color_parse().

Note that due to the way the color tables from different sources are merged, color specifications will be converted to hexadecimal form when getting this property.

Starting with GTK+ 2.12, the entries can alternatively be separated by ';' instead of newlines:

[C example ellipted]

Since gtkmm 2.10:

Deprecated: 3.8: Color scheme support was dropped and is no longer supported. You can still set this property, but it will be ignored.

Deprecated:
  Color scheme support was dropped. This setting is now ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) |

Whether the cursor should blink.

Also see the Gtk::Settings::property_gtk_cursor_blink_timeout() setting, which allows more flexible control over cursor blinking.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) | const

Whether the cursor should blink.

Also see the Gtk::Settings::property_gtk_cursor_blink_timeout() setting, which allows more flexible control over cursor blinking.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) |

Length of the cursor blink cycle, in milliseconds.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) | const

Length of the cursor blink cycle, in milliseconds.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_blink_timeout | ( |  | ) |

Time after which the cursor stops blinking, in seconds.

The timer is reset after each user interaction.

Setting this to zero has the same effect as setting Gtk::Settings::property_gtk_cursor_blink() to `false`.

Since gtkmm 2.12:

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_blink_timeout | ( |  | ) | const

Time after which the cursor stops blinking, in seconds.

The timer is reset after each user interaction.

Setting this to zero has the same effect as setting Gtk::Settings::property_gtk_cursor_blink() to `false`.

Since gtkmm 2.12:

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) |

Name of the cursor theme to use, or NULL to use the default theme.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) | const

Name of the cursor theme to use, or NULL to use the default theme.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) |

Size to use for cursors, or 0 to use the default size.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) | const

Size to use for cursors, or 0 to use the default size.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_decoration_layout | ( |  | ) |

This setting determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear on the left from those on the right. Recognized button names are minimize, maximize, close, icon (the window icon) and menu (a menu button for the fallback app menu).

For example, "menu:minimize,maximize,close" specifies a menu on the left, and minimize, maximize and close buttons on the right.

Note that buttons will only be shown when they are meaningful. E.g. a menu button only appears when the desktop shell does not show the app menu, and a close button only appears on a window that can be closed.

Also note that the setting can be overridden with the Gtk::HeaderBar::property_decoration_layout() property.

Since gtkmm 3.12:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_decoration_layout | ( |  | ) | const

This setting determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear on the left from those on the right. Recognized button names are minimize, maximize, close, icon (the window icon) and menu (a menu button for the fallback app menu).

For example, "menu:minimize,maximize,close" specifies a menu on the left, and minimize, maximize and close buttons on the right.

Note that buttons will only be shown when they are meaningful. E.g. a menu button only appears when the desktop shell does not show the app menu, and a close button only appears on a window that can be closed.

Also note that the setting can be overridden with the Gtk::HeaderBar::property_decoration_layout() property.

Since gtkmm 3.12:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_dialogs_use_header | ( |  | ) |

Whether builtin GTK+ dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom.

This setting does not affect custom dialogs using GtkDialog directly, or message dialogs.

Since gtkmm 3.12:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_dialogs_use_header | ( |  | ) | const

Whether builtin GTK+ dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom.

This setting does not affect custom dialogs using GtkDialog directly, or message dialogs.

Since gtkmm 3.12:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) |

Number of pixels the cursor can move before dragging.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) | const

Number of pixels the cursor can move before dragging.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) |

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) | const

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) |

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) | const

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) |

Whether menu items should have visible accelerators which can be activated.

Since gtkmm 2.12:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) | const

Whether menu items should have visible accelerators which can be activated.

Since gtkmm 2.12:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) |

Whether to enable toolkit-wide animations.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) | const

Whether to enable toolkit-wide animations.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) |

Whether to play any event sounds at all.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Since gtkmm 2.14:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) | const

Whether to play any event sounds at all.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Since gtkmm 2.14:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) |

Whether to play event sounds as feedback to user input.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Since gtkmm 2.14:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) | const

Whether to play event sounds as feedback to user input.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Since gtkmm 2.14:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) |

Whether labels and menu items should have visible mnemonics which can be activated.

Since gtkmm 2.12:

Deprecated: 3.10: This setting can still be used for application overrides, but will be ignored in the future

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) | const

Whether labels and menu items should have visible mnemonics which can be activated.

Since gtkmm 2.12:

Deprecated: 3.10: This setting can still be used for application overrides, but will be ignored in the future

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_primary_paste | ( |  | ) |

Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location.

Since gtkmm 3.4:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_primary_paste | ( |  | ) | const

Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location.

Since gtkmm 3.4:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) |

Whether tooltips should be shown on widgets.

Since gtkmm 2.14:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) | const

Whether tooltips should be shown on widgets.

Since gtkmm 2.14:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gtk::Settings::property_gtk_entry_password_hint_timeout | ( |  | ) |

How long to show the last input character in hidden entries.

This value is in milliseconds. 0 disables showing the last char. 600 is a good value for enabling it.

Since gtkmm 2.10:

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gtk::Settings::property_gtk_entry_password_hint_timeout | ( |  | ) | const

How long to show the last input character in hidden entries.

This value is in milliseconds. 0 disables showing the last char. 600 is a good value for enabling it.

Since gtkmm 2.10:

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) |

Whether to select the contents of an entry when it is focused.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) | const

Whether to select the contents of an entry when it is focused.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) |

When `true`, keyboard navigation and other input-related errors will cause a beep.

Since the error bell is implemented using gdk_window_beep(), the windowing system may offer ways to configure the error bell in many ways, such as flashing the window or similar visual effects.

Since gtkmm 2.12:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) | const

When `true`, keyboard navigation and other input-related errors will cause a beep.

Since the error bell is implemented using gdk_window_beep(), the windowing system may offer ways to configure the error bell in many ways, such as flashing the window or similar visual effects.

Since gtkmm 2.12:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_fallback_icon_theme | ( |  | ) |

Name of a icon theme to fall back to.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_fallback_icon_theme | ( |  | ) | const

Name of a icon theme to fall back to.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) |

Name of the GtkFileChooser backend to use by default.

Deprecated: 3.10: This setting is ignored. Gtk::FileChooser uses GIO by default.

Deprecated:
  This setting is ignored. Gtk::FileChooser uses GIO by default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) | const

Name of the GtkFileChooser backend to use by default.

Deprecated: 3.10: This setting is ignored. Gtk::FileChooser uses GIO by default.

Deprecated:
  This setting is ignored. Gtk::FileChooser uses GIO by default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) |

Name of default font to use.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) | const

Name of default font to use.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) |

Timestamp of current fontconfig configuration.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) | const

Timestamp of current fontconfig configuration.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_icon_sizes | ( |  | ) |

A list of icon sizes.

The list is separated by colons, and item has the form:

`size-name` = `width` , `height`

E.g. "gtk-menu=16,16:gtk-button=20,20:gtk-dialog=48,48". GTK+ itself use the following named icon sizes: gtk-menu, gtk-button, gtk-small-toolbar, gtk-large-toolbar, gtk-dnd, gtk-dialog. Applications can register their own named icon sizes with gtk_icon_size_register().

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_icon_sizes | ( |  | ) | const

A list of icon sizes.

The list is separated by colons, and item has the form:

`size-name` = `width` , `height`

E.g. "gtk-menu=16,16:gtk-button=20,20:gtk-dialog=48,48". GTK+ itself use the following named icon sizes: gtk-menu, gtk-button, gtk-small-toolbar, gtk-large-toolbar, gtk-dnd, gtk-dialog. Applications can register their own named icon sizes with gtk_icon_size_register().

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) |

Name of icon theme to use.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) | const

Name of icon theme to use.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) |

Which IM (input method) module should be used by default.

This is the input method that will be used if the user has not explicitly chosen another input method from the IM context menu. This also can be a colon-separated list of input methods, which GTK+ will try in turn until it finds one available on the system.

See Gtk::IMContext.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) | const

Which IM (input method) module should be used by default.

This is the input method that will be used if the user has not explicitly chosen another input method from the IM context menu. This also can be a colon-separated list of input methods, which GTK+ will try in turn until it finds one available on the system.

See Gtk::IMContext.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< IMPreeditStyle > Gtk::Settings::property_gtk_im_preedit_style | ( |  | ) |

How to draw the input method preedit string.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< IMPreeditStyle > Gtk::Settings::property_gtk_im_preedit_style | ( |  | ) | const

How to draw the input method preedit string.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< IMStatusStyle > Gtk::Settings::property_gtk_im_status_style | ( |  | ) |

How to draw the input method statusbar.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< IMStatusStyle > Gtk::Settings::property_gtk_im_status_style | ( |  | ) | const

How to draw the input method statusbar.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_key_theme_name | ( |  | ) |

Name of key theme to load.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_key_theme_name | ( |  | ) | const

Name of key theme to load.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) |

When `true`, keyboard navigation should be able to reach all widgets by using the cursor keys only.

Tab, Shift etc. keys can't be expected to be present on the used input device.

Since gtkmm 2.12:

Deprecated: 3.10: Generally, the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) | const

When `true`, keyboard navigation should be able to reach all widgets by using the cursor keys only.

Tab, Shift etc. keys can't be expected to be present on the used input device.

Since gtkmm 2.12:

Deprecated: 3.10: Generally, the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) |

When `true`, some widgets will wrap around when doing keyboard navigation, such as menus, menubars and notebooks.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) | const

When `true`, some widgets will wrap around when doing keyboard navigation, such as menus, menubars and notebooks.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_label_select_on_focus | ( |  | ) |

Whether to select the contents of a selectable label when it is focused.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_label_select_on_focus | ( |  | ) | const

Whether to select the contents of a selectable label when it is focused.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gtk::Settings::property_gtk_long_press_time | ( |  | ) |

The time for a button or touch press to be considered a "long press".

Since gtkmm 3.14:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gtk::Settings::property_gtk_long_press_time | ( |  | ) | const

The time for a button or touch press to be considered a "long press".

Since gtkmm 3.14:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) |

Keybinding to activate the menu bar.

Deprecated: 3.10: This setting can still be used for application overrides, but will be ignored in the future

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) | const

Keybinding to activate the menu bar.

Deprecated: 3.10: This setting can still be used for application overrides, but will be ignored in the future

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_menu_bar_popup_delay | ( |  | ) |

Delay before the submenus of a menu bar appear.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_menu_bar_popup_delay | ( |  | ) | const

Delay before the submenus of a menu bar appear.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_menu_images | ( |  | ) |

Whether images should be shown in menu items.

Deprecated: 3.10: This setting is deprecated. Application developers control whether or not a Gtk::MenuItem should have an icon or not, on a per widget basis. Either use a Gtk::MenuItem with a Gtk::Box containing a Gtk::Image and a Gtk::AccelLabel, or describe your menus using a Menu XML description

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_menu_images | ( |  | ) | const

Whether images should be shown in menu items.

Deprecated: 3.10: This setting is deprecated. Application developers control whether or not a Gtk::MenuItem should have an icon or not, on a per widget basis. Either use a Gtk::MenuItem with a Gtk::Box containing a Gtk::Image and a Gtk::AccelLabel, or describe your menus using a Menu XML description

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_menu_popdown_delay | ( |  | ) |

The time before hiding a submenu when the pointer is moving towards the submenu.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_menu_popdown_delay | ( |  | ) | const

The time before hiding a submenu when the pointer is moving towards the submenu.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_menu_popup_delay | ( |  | ) |

Minimum time the pointer must stay over a menu item before the submenu appear.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_menu_popup_delay | ( |  | ) | const

Minimum time the pointer must stay over a menu item before the submenu appear.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_modules | ( |  | ) |

List of currently active GTK modules.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_modules | ( |  | ) | const

List of currently active GTK modules.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_primary_button_warps_slider | ( |  | ) |

Whether a click in a Gtk::Range trough should scroll to the click position or scroll by a single page in the respective direction.

Since gtkmm 3.6:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_primary_button_warps_slider | ( |  | ) | const

Whether a click in a Gtk::Range trough should scroll to the click position or scroll by a single page in the respective direction.

Since gtkmm 3.6:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) |

A comma-separated list of print backends to use in the print dialog.

Available print backends depend on the GTK+ installation, and may include "file", "cups", "lpr" or "papi".

Since gtkmm 2.10:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) | const

A comma-separated list of print backends to use in the print dialog.

Available print backends depend on the GTK+ installation, and may include "file", "cups", "lpr" or "papi".

Since gtkmm 2.10:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) |

A command to run for displaying the print preview.

The command should contain a `f` placeholder, which will get replaced by the path to the pdf file. The command may also contain a `s` placeholder, which will get replaced by the path to a file containing the print settings in the format produced by Gtk::PrintSettings::to_file().

The preview application is responsible for removing the pdf file and the print settings file when it is done.

Since gtkmm 2.10:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) | const

A command to run for displaying the print preview.

The command should contain a `f` placeholder, which will get replaced by the path to the pdf file. The command may also contain a `s` placeholder, which will get replaced by the path to a file containing the print settings in the format produced by Gtk::PrintSettings::to_file().

The preview application is responsible for removing the pdf file and the print settings file when it is done.

Since gtkmm 2.10:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_recent_files_enabled | ( |  | ) |

Whether GTK+ should keep track of items inside the recently used resources list.

If set to `false`, the list will always be empty.

Since gtkmm 3.8:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_recent_files_enabled | ( |  | ) | const

Whether GTK+ should keep track of items inside the recently used resources list.

If set to `false`, the list will always be empty.

Since gtkmm 3.8:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) |

The number of recently used files that should be displayed by default by Gtk::RecentChooser implementations and by the Gtk::FileChooser.

A value of -1 means every recently used file stored.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) | const

The number of recently used files that should be displayed by default by Gtk::RecentChooser implementations and by the Gtk::FileChooser.

A value of -1 means every recently used file stored.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) |

The maximum age, in days, of the items inside the recently used resources list.

Items older than this setting will be excised from the list. If set to 0, the list will always be empty; if set to -1, no item will be removed.

Since gtkmm 2.14:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) | const

The maximum age, in days, of the items inside the recently used resources list.

Items older than this setting will be excised from the list. If set to 0, the list will always be empty; if set to -1, no item will be removed.

Since gtkmm 2.14:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< GtkCornerType > Gtk::Settings::property_gtk_scrolled_window_placement | ( |  | ) |

Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement.

Since gtkmm 2.10:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< GtkCornerType > Gtk::Settings::property_gtk_scrolled_window_placement | ( |  | ) | const

Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement.

Since gtkmm 2.10:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_app_menu | ( |  | ) |

Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_app_menu | ( |  | ) | const

Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_desktop | ( |  | ) |

Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_desktop | ( |  | ) | const

Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_menubar | ( |  | ) |

Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_menubar | ( |  | ) | const

Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to change the input method.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to change the input method.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to insert control characters.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to insert control characters.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) |

The XDG sound theme to use for event sounds.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Since gtkmm 2.14:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) | const

The XDG sound theme to use for event sounds.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Since gtkmm 2.14:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) |

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) | const

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) |

Name of theme to load.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) | const

Name of theme to load.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_expand | ( |  | ) |

Expand value for timeouts, when a widget is expanding a new region.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_expand | ( |  | ) | const

Expand value for timeouts, when a widget is expanding a new region.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_initial | ( |  | ) |

Starting value for timeouts, when button is pressed.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_initial | ( |  | ) | const

Starting value for timeouts, when button is pressed.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) |

Repeat value for timeouts, when button is pressed.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) | const

Repeat value for timeouts, when button is pressed.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< IconSize > Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) |

The size of icons in default toolbars.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< IconSize > Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) | const

The size of icons in default toolbars.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< ToolbarStyle > Gtk::Settings::property_gtk_toolbar_style | ( |  | ) |

The size of icons in default toolbars.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< ToolbarStyle > Gtk::Settings::property_gtk_toolbar_style | ( |  | ) | const

The size of icons in default toolbars.

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) |

Amount of time, in milliseconds, after which the browse mode will be disabled.

See Gtk::Settings::property_gtk_tooltip_browse_timeout() for more information about browse mode.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) | const

Amount of time, in milliseconds, after which the browse mode will be disabled.

See Gtk::Settings::property_gtk_tooltip_browse_timeout() for more information about browse mode.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) |

Controls the time after which tooltips will appear when browse mode is enabled, in milliseconds.

Browse mode is enabled when the mouse pointer moves off an object where a tooltip was currently being displayed. If the mouse pointer hits another object before the browse mode timeout expires (see Gtk::Settings::property_gtk_tooltip_browse_mode_timeout()), it will take the amount of milliseconds specified by this setting to popup the tooltip for the new object.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) | const

Controls the time after which tooltips will appear when browse mode is enabled, in milliseconds.

Browse mode is enabled when the mouse pointer moves off an object where a tooltip was currently being displayed. If the mouse pointer hits another object before the browse mode timeout expires (see Gtk::Settings::property_gtk_tooltip_browse_mode_timeout()), it will take the amount of milliseconds specified by this setting to popup the tooltip for the new object.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) |

Time, in milliseconds, after which a tooltip could appear if the cursor is hovering on top of a widget.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) | const

Time, in milliseconds, after which a tooltip could appear if the cursor is hovering on top of a widget.

Since gtkmm 2.12:

Deprecated: 3.10: This setting is ignored.

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) |

When `true`, there are no motion notify events delivered on this screen, and widgets can't use the pointer hovering them for any essential functionality.

Since gtkmm 2.10:

Deprecated: 3.4. Generally, the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) | const

When `true`, there are no motion notify events delivered on this screen, and widgets can't use the pointer hovering them for any essential functionality.

Since gtkmm 2.10:

Deprecated: 3.4. Generally, the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gtk::PolicyType > Gtk::Settings::property_gtk_visible_focus | ( |  | ) |

Whether 'focus rectangles' should be always visible, never visible, or hidden until the user starts to use the keyboard.

Since gtkmm 3.2:

Deprecated: 3.10: This setting is ignored

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gtk::PolicyType > Gtk::Settings::property_gtk_visible_focus | ( |  | ) | const

Whether 'focus rectangles' should be always visible, never visible, or hidden until the user starts to use the keyboard.

Since gtkmm 3.2:

Deprecated: 3.10: This setting is ignored

Deprecated:
  This setting is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) |

Whether to antialias Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) | const

Whether to antialias Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) |

Resolution for Xft, in 1024 * dots/inch.

-1 to use default value.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) | const

Resolution for Xft, in 1024 * dots/inch.

-1 to use default value.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) |

Whether to hint Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) | const

Whether to hint Xft fonts; 0=no, 1=yes, -1=default.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) |

What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) | const

What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) |

Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) | const

Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Settings > wrap | ( | GtkSettings * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.